import { Actions, OnInitEffects } from '@ngrx/effects';
import { Action } from '@ngrx/store';
import { UseStore } from 'idb-keyval';
import { NgrxStoreIdbOptions } from './ngrx-store-idb.options';
import * as i0 from "@angular/core";
export declare class RehydrateEffects implements OnInitEffects {
    private actions$;
    private options;
    private idbStore;
    rehydratedState: any;
    /**
     * This effect is triggered after root store initialisation.
     * This is the very first thing done by NgRx and the best place
     * to load saved data.
     */
    rehydrateOnInit$: import("rxjs").Observable<import("@ngrx/store/src/models").TypedAction<"NgrxStoreIdb/RehydrateError"> | (import("./ngrx-store-idb.actions").RehydrateActionPayload & import("@ngrx/store/src/models").TypedAction<"NgrxStoreIdb/Rehydrate">)> & import("@ngrx/effects").CreateEffectMetadata;
    constructor(actions$: Actions, options: NgrxStoreIdbOptions, idbStore: UseStore);
    ngrxOnInitEffects(): Action;
    static ɵfac: i0.ɵɵFactoryDeclaration<RehydrateEffects, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RehydrateEffects>;
}
