import { ModuleWithProviders } from '@angular/core';
import { NgrxStoreIdbOptions } from './ngrx-store-idb.options';
import * as i0 from "@angular/core";
import * as i1 from "@ngrx/effects";
/**
 * Import this module in your AppModule using forRoot() method to
 * enable synchornisation of redux store with IndexedDB.
 */
export declare class NgrxStoreIdbModule {
    constructor(parentModule?: NgrxStoreIdbModule);
    static forRoot(options?: Partial<NgrxStoreIdbOptions>): ModuleWithProviders<NgrxStoreIdbModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgrxStoreIdbModule, [{ optional: true; skipSelf: true; }]>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<NgrxStoreIdbModule, never, [typeof i1.EffectsFeatureModule], never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<NgrxStoreIdbModule>;
}
